Package be.fgov.ehealth.rn.personservice.protocol.v1

# Class SearchPersonPhoneticallyRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.rn.personservice.protocol.v1.SearchPersonPhoneticallyRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class SearchPersonPhoneticallyRequest extends RequestType implements Serializable
SearchPersonPhonetically response type

Java class for SearchPersonPhoneticallyRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchPersonPhoneticallyRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ApplicationId" type="{urn:be:fgov:ehealth:rn:commons:v1}ApplicationIdType"/>
             <element name="Criteria" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}SearchPersonPhoneticallyCriteriaType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchPersonPhoneticallyRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationId()`
  Gets the value of the applicationId property.
  `SearchPersonPhoneticallyCriteriaType`
  `getCriteria()`
  Gets the value of the criteria property.
  `void`
  `setApplicationId(String value)`
  Sets the value of the applicationId property.
  `void`
  `setCriteria(SearchPersonPhoneticallyCriteriaType value)`
  Sets the value of the criteria property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchPersonPhoneticallyRequest

    public SearchPersonPhoneticallyRequest()

- ## Method Details

  - ### getApplicationId

    public String getApplicationId()
    Gets the value of the applicationId property.
    Returns:
      possible object is `String`

  - ### setApplicationId

    public void setApplicationId(String value)
    Sets the value of the applicationId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCriteria

    public SearchPersonPhoneticallyCriteriaType getCriteria()
    Gets the value of the criteria property.
    Returns:
      possible object is `SearchPersonPhoneticallyCriteriaType`

  - ### setCriteria

    public void setCriteria(SearchPersonPhoneticallyCriteriaType value)
    Sets the value of the criteria property.
    Parameters:
      `value` - allowed object is `SearchPersonPhoneticallyCriteriaType`